Draft: Schiera, matrice

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Array and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Draft2Sketch.svg Da Draft a Sketch Pagina precedente:
Pagina successiva: Copie su tracciato Draft PathArray.svg Arrow-right.svg

Draft Array.svg Schiera

Posizione nel menu
Draft → Schiera
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Copie su tracciato, Copie su punti, Clone


Descrizione

Lo strumento Schiera crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati.

Questo strumento può essere utilizzato su forme 2D create con Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o PartDesign.

Per posizionare le copie lungo un percorso utilizzare Schiera su percorso; per posizionare le copie in punti specificati usare Schiera su punti; per creare copie o cloni e posizionarli manualmente usare Sposta, Ruota, e Clona.

Draft Array example.jpg

Una schiera ortogonale e una schiera polare da un oggetto solido


Utilizzo

  1. Selezionare un oggetto con cui si desidera creare una schiera.
  2. Premere il pulsante Draft Array.svg Schiera. Se nessun oggetto è selezionato, si viene inviti a selezionarne uno.
  3. L'oggetto Array viene creato immediatamente. È necessario modificare le proprietà della schiera per modificare il numero e la direzione delle copie create.

Ogni elemento della schiera è un clone esatto dell'oggetto originale, ma l'intera schiera è considerata una singola unità in termini di proprietà e aspetto.

Opzioni

Non ci sono opzioni per questo strumento. O funziona con l'oggetto selezionato o non funziona.

Proprietà

  • DATABase: specifica l'oggetto da duplicare nella schiera.
  • DATAArray Type: specifica anche il tipo di schiera da creare "ortho" o "polar".
  • DATAFuse: se è True, e le copie si intersecano tra loro, esse vengono fuse insieme in un'unica forma.

Per le schiere ortogonali:

  • DATAInterval X: intervallo tra ciascuna copia sull'asse X.
  • DATAInterval Y: intervallo tra ciascuna copia sull'asse Y.
  • DATAInterval Z: intervallo tra ciascuna copia sull'asse Z.
  • DATANumber X: il numero di copie sull'asse X.
  • DATANumber Y: il numero di copie sull'asse Y.
  • DATANumber Z: il numero di copie sull'asse Z.

Per le schiere polari:

  • DATAAxis: specifica la direzione normale del cerchio della schiera.
  • DATACenter: specifica il punto centrale del cerchio della schiera.
  • DATAAngle: specifica l'apertura dell'arco circolare da coprire con le copie; usare 360 per coprire un intero cerchio.
  • DATANumber Polar: specifica il numero di copie da inserire nella disposizione circolare.
  • DATAInterval Axis: specifica l'intervallo tra ciascuna copia nella direzione DATAAxis.

Le proprietà Number, X, Y, Z o Polar, includono anche l'oggetto originale, quindi questo numero è almeno uno.

Un intervallo non è una semplice distanza, ma è un vettore (x, y, z). Se più di un valore è diverso da zero, la copia viene creata nella direzione principale, ma viene anche spostata nelle altre direzioni diverse da zero.

Per esempio, se DATAInterval X è (2 m, 1 m, 1 m), e DATANumber X è 3, vengono create 3 copies nella direzione X; la prima copia è nella posizione originale, la seconda è spostata di 2 m su X, 1 m su Y, e 1 m su Z; la terza copia è spostata di 4 m su X, 2 m su Y, e 2 m su Z. Ogni elemento dell'array è spostato leggermente su un lato (direzione Y) e verso l'alto (direzione Z) accanto alla direzione X principale.

La proprietà DATAInterval Axis funziona allo stesso modo. Se la forma originale si trova sul piano XY, creando un array polare con DATAInterval Axis (0, 0, z) permette di creare ordinamenti a spirale.

Script

Vedere anche: API Arch e Script di base per FreeCAD.

Lo strumento Array può essere utilizzato nelle macro e dalla console Python utilizzando due diverse funzioni, a seconda se si desidera ottenere delle copie autonome del proprio oggetto base o un oggetto array parametrico che rimane collegato all'oggetto originale.

Schiera semplice

La firma di base è la seguente:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

Per creare una matrice rettangolare, si usa in questo modo:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Per creare un array polare, si usa in questo modo:

array_list = array(objectslist, center, totalangle, totalnum)
  • Crea una schiera dagli oggetti contenuti in objectslist, che può essere un singolo oggetto o un elenco di oggetti.
  • Nel caso di una sschiera rettangolare, xvector, yvector, e zvector determinano la distanza tra i punti base di ciascuna copia, nelle direzioni X, Y e Z.; e xnum, ynum, e znum sono il numero di copie nella rispettiva direzione.
  • Nel caso di una sschiera polae, center definisce il centro del cerchio della schiera, totalangle è l'angolo in gradi dell'arco da coprire con le copie, e totalnum è il numero di copie da disporre attorno al cerchio, incluso l'oggetto originale.
  • array_list viene restituito con le nuove copie.
    • array_list è un singolo oggetto o un elenco di oggetti, a seconda dell'input objectslist.

Questa funzione utilizza internamente Draft.move() e Draft.rotate() con copy=True.

Esempio:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Schiera parametrica

La firma di base è la seguente:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Per creare una schiera rettangolare, si usa in questo modo:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Per creare un array polare, si usa in questo modo:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Crea un oggetto Array dal baseobject dato.
  • Nel caso di una schiera rettangolare, xvector, yvector, e zvector determinano la distanza tra i punti base di ciascuna copia, nelle direzioni X, Y e Z.; e xnum, ynum, e znum sono il numero di copie nella rispettiva direzione.
  • Nel caso di una schiera polare, center definisce il centro del cerchio della schiera, totalangle è l'angolo in gradi dell'arco da coprire con le copie, e totalnum è il numero di copie da disporre attorno al cerchio, incluso l'oggetto originale.

Esempio:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)
Arrow-left.svg Draft Draft2Sketch.svg Da Draft a Sketch Pagina precedente:
Pagina successiva: Copie su tracciato Draft PathArray.svg Arrow-right.svg